Name:		urpmex
Version:	0.1
Release:	%mkrel 7
License:	GPLv3
Group:		System/Configuration
Summary:	Suite of tools for Mageia administration
Url:		http://github.com/xquiet/urpmex
Source:		%{name}-%{version}.tar.bz2
Patch0:		urpmex-0.1-cumulative.patch

BuildArch:	noarch

Requires:	perl
Requires:	perl-List-Compare
Requires:	perl-List-AllUtils
Requires:	perl-Curses-UI
Requires:	perl-Term-ANSIColor
Requires:	curl
Requires:	wget

%description
urpmex is a (very small) suite of tools aiming to make 
Mageia system administration a bit more comfortable, 
especially when no graphical environment are available 
(i.e. remote terminals and so on).

Currently it provides three scripts:

* repos
* cuterepos
* urpm-downloader

%prep
%setup -q
%patch0 -p1 -b .cumulative
# removing unstable/incomplete stuff
rm -fr cuty
rm -f kir.pl
ls -l .

%install
install -D -d -m 755 %{buildroot}%perl_privlib
install -D -d -m 755 %{buildroot}%_bindir
mv urpmex %{buildroot}%perl_privlib/
chmod -R 755 %{buildroot}%perl_privlib/urpmex
install -m 755 cuterepos.pl %{buildroot}%{_bindir}/cuterepos
install -m 755 repos.pl %{buildroot}%{_bindir}/repos
install -m 755 urpm-downloader.pl %{buildroot}%{_bindir}/urpm-downloader

%files
%doc README.md COPYING
%dir %perl_privlib/urpmex
%{_bindir}/*
%perl_privlib/urpmex/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.1-7.mga4
+ Revision: 538639
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 matteo <matteo> 0.1-6.mga4
+ Revision: 490152
- rebuilt with new perl

* Sun Apr 07 2013 matteo <matteo> 0.1-5.mga3
+ Revision: 408834
- rebuild required

* Sun Feb 10 2013 matteo <matteo> 0.1-4.mga3
+ Revision: 397784
- using diff from git upstream instead of self made patches

* Wed Jan 23 2013 fwang <fwang> 0.1-3.mga3
+ Revision: 391557
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.1-2.mga3
+ Revision: 385111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 matteo <matteo> 0.1-1.mga3
+ Revision: 341500
- patch0: avoid usage of development modules at runtime
- patch1: translate string to english
- imported package urpmex

